SIVP Toolbox
Last update : August, 2006

ycbcr2rgb - Convert a YCbCr image to the equivalent RGB image.

### Calling Sequence

  `RGB = ycbcr2rgb(YCC)`

### Parameters

- `YCC`: A YCbCr image (hypermat). The dimension of `YCbCr` should be `M x N x 3`, the type should be double and the element value range should be [0,1].
- `RGB`: Output image, which has the same size as `YCC` and type of double.

### Description

`ycbcr2rgb` convert a RGB image to the equivalent YCbCr image using:

  `R = Y + 1.403*(Cr - 0.5)`
  `G = Y - 0.344*(Cr - 0.5) - 0.714*(Cb - 0.5)`
  `B = Y + 1.773*(Cb - 0.5)`

Supported classe: DOUBLE.

### Examples

        RGB = imread('lena.png');
        YCC = rgb2ycbcr(RGB);
        RGB = ycbcr2rgb(YCC);
        imshow(RGB);

### Authors

  Shiqi Yu <shiqi.yu[at]gmail.com>

### Availability

The latest version of SIVP can be found at

http://sivp.sourceforge.net

### See Also

`rgb2gray`, `mat2gray`, `rgb2hsv`, `hsv2rgb`, `rgb2ycbcr`, `rgb2ntsc`, `ntsc2rgb`,